# eric4.Plugins.VcsPlugins.vcsPySvn.SvnStatusDialog

Module implementing a dialog to show the output of the svn status command process.

### Global Attributes

None

### Classes

SvnStatusDialog | Class implementing a dialog to show the output of the svn status command process.

### Functions

None

## SvnStatusDialog

Class implementing a dialog to show the output of the svn status command process.

### Derived from

QWidget, SvnDialogMixin, Ui_SvnStatusDialog

### Class Attributes

None

### Methods

SvnStatusDialog | Constructor
__add | Private slot to handle the Add context menu entry.
__addToChangelist | Private slot to add entries to a changelist.
__breakLock | Private slot to handle the Break Lock context menu entry.
__commit | Private slot to handle the Commit context menu entry.
__committed | Private slot called after the commit has finished.
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a status item in the status list.
__getChangelistItems | Private method to retrieve all entries, that are members of a changelist.
__getLockActionItems | Private method to retrieve all entries, that have a locked status.
__getModifiedItems | Private method to retrieve all entries, that have a modified status.
__getNonChangelistItems | Private method to retrieve all entries, that are not members of a changelist.
__getUnversionedItems | Private method to retrieve all entries, that have an unversioned status.
__lock | Private slot to handle the Lock context menu entry.
__removeFromChangelist | Private slot to remove entries from their changelists.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
__revert | Private slot to handle the Revert context menu entry.
__showContextMenu | Protected slot to show the context menu of the status list.
__showError | Private slot to show an error message.
__stealLock | Private slot to handle the Break Lock context menu entry.
__unlock | Private slot to handle the Unlock context menu entry.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_refreshButton_clicked | Private slot to refresh the status display.
start | Public slot to start the svn status command.

#### SvnStatusDialog (Constructor)

SvnStatusDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### SvnStatusDialog.__add

__add()

Private slot to handle the Add context menu entry.

#### SvnStatusDialog.__addToChangelist

__addToChangelist()

Private slot to add entries to a changelist.

#### SvnStatusDialog.__breakLock

__breakLock()

Private slot to handle the Break Lock context menu entry.

#### SvnStatusDialog.__commit

__commit()

Private slot to handle the Commit context menu entry.

#### SvnStatusDialog.__committed

__committed()

Private slot called after the commit has finished.

#### SvnStatusDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### SvnStatusDialog.__generateItem

__generateItem(changelist, status, propStatus, locked, history, switched, lockinfo, uptodate, revision, change, author, path)

Private method to generate a status item in the status list.

changelist
  name of the changelist (string)
status
  text status (pysvn.wc_status_kind)
propStatus
  property status (pysvn.wc_status_kind)
locked
  locked flag (boolean)
history
  history flag (boolean)
switched
  switched flag (boolean)
lockinfo
  lock indicator (string)
uptodate
  up to date flag (boolean)
revision
  revision (integer)
change
  revision of last change (integer)
author
  author of the last change (string or QString)
path
  path of the file or directory (string or QString)

#### SvnStatusDialog.__getChangelistItems

__getChangelistItems()

Private method to retrieve all entries, that are members of a changelist.

Returns:
  list of all items belonging to a changelist

#### SvnStatusDialog.__getLockActionItems

__getLockActionItems(indicators)

Private method to retrieve all entries, that have a locked status.

Returns:
  list of all items with a locked status

#### SvnStatusDialog.__getModifiedItems

__getModifiedItems()

Private method to retrieve all entries, that have a modified status.

Returns:
  list of all items with a modified status

#### SvnStatusDialog.__getNonChangelistItems

__getNonChangelistItems()

Private method to retrieve all entries, that are not members of a changelist.

Returns:
  list of all items not belonging to a changelist

#### SvnStatusDialog.__getUnversionedItems

__getUnversionedItems()

Private method to retrieve all entries, that have an unversioned status.

Returns:
  list of all items with an unversioned status

#### SvnStatusDialog.__lock

__lock()

Private slot to handle the Lock context menu entry.

#### SvnStatusDialog.__removeFromChangelist

__removeFromChangelist()

Private slot to remove entries from their changelists.

#### SvnStatusDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### SvnStatusDialog.__resort

__resort()

Private method to resort the tree.

#### SvnStatusDialog.__revert

__revert()

Private slot to handle the Revert context menu entry.

#### SvnStatusDialog.__showContextMenu

__showContextMenu(coord)

Protected slot to show the context menu of the status list.

coord
  the position of the mouse pointer (QPoint)

#### SvnStatusDialog.__showError

__showError(msg)

Private slot to show an error message.

msg
  error message to show (string or QString)

#### SvnStatusDialog.__stealLock

__stealLock()

Private slot to handle the Break Lock context menu entry.

#### SvnStatusDialog.__unlock

__unlock()

Private slot to handle the Unlock context menu entry.

#### SvnStatusDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SvnStatusDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the status display.

#### SvnStatusDialog.start

start(fn)

Public slot to start the svn status command.

fn
  filename(s)/directoryname(s) to show the status of (string or list of strings)

Up